<?php session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php'); 
	include ("fphp.php");
	$enlace=cargar_conexion();
	$accion=$_REQUEST["accion"];
	$codigo=$_REQUEST["codigo"];

	$consulta=mysql_query('delete from diario');
	
	$consulta=mysql_query('select * from empresa');
	if (mysql_num_rows($consulta)!=0){
			$row=mysql_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresas']=$row['nombre'];
			$_POST['ciudad']=$row['ciudad'];
			$_POST['representante']=$row['representante'];
			$_POST['cedular']=$row['cedula'];
	}   
	$_POST['usuario']=$_SESSION['nombre_validar'];
			
////////////////////////////////////////////////////////////////////// CALCULOS GENERALES	
	$fecdes=substr($_POST['fec1'],0,2)."-".substr($_POST['fec1'],2,2)."-".substr($_POST['fec1'],4,4);
	$fechas=substr($_POST['fec2'],0,2)."-".substr($_POST['fec2'],2,2)."-".substr($_POST['fec2'],4,4);

	$fx=sumar_dias($fechas,1);
	$fhasta=substr($fx,6,4)."-".substr($fx,3,2)."-".substr($fx,0,2);
	$fdesde=substr($_POST['fec1'],4,4)."-".substr($_POST['fec1'],2,2)."-".substr($_POST['fec1'],0,2);
	
	$_POST['subtitulo']="(".$fecdes." / ".$fechas.")";

	//if ($_POST['status']=='1') $status='';
	//else $status=" and personal.status='".$_POST['status']."' ";
	
	$query="and personal.nomina='".substr($_POST['nomina'],0,3)."' ".$status; 
	if ($_POST['gerencia']!="") $query.="and personal.gerencia='".substr($_POST['gerencia'],0,4)."' ";
	if ($_POST['division']!="") $query.="and personal.division='".$_POST['division']."' ";
	if ($_POST['departamento']!="") $query.="and personal.departamento='".substr($_POST['departamento'],0,4)."' ";	
	$query3 = $query;
	$query .= " and chequeo.fecha >= '".$fdesde."' and chequeo.fecha <= '".$fhasta."' ";

	$query1 ="select concat(personal.nombres,' ',personal.nombres1,' ', personal.apellidos,' ', personal.apellidos1) as det, personal.departamento as dep,personal.codigo as cod, chequeo.fecha from ";
	$query1.="personal, chequeo  where personal.codigo=chequeo.codigo $query order by personal.codigo, chequeo.fecha";
	$resul1 = mysql_query($query1) or die ($query1.' > '.mysql_error());
	while ($row1 = mysql_fetch_array($resul1)) {
		$nom = trim($row1['det']);
		$h = substr($row1['fecha'],11,2);
		$m = substr($row1['fecha'],14,2);
		$ced = $row1['cod'];		
		$dpto = $row1['dep'];
		$fec = substr($row1['fecha'],0,10);
		$resul2= mysql_query("select * from diario where cedula = '$ced' and fecha = '$fec'") or die (' select diario > '.mysql_error());
		$num = mysql_num_rows($resul2);
		if ($num==0) {
			$columna = 1;
			$resul3 = mysql_query("insert into diario (cedula,nombres,fecha,h1,m1,departamento) values ('$ced','$nom','$fec',$h,$m,'$dpto')") or die ("insert into diario > ".mysql_error());
		} else {
			$columna++;$query4="";
			switch($columna) {
				case 2:$query4 = "update diario set h2 = '$h', m2='$m' where  cedula = '$ced' and fecha = '$fec'";break;
				case 3:$query4 = "update diario set h3 = '$h', m3='$m' where  cedula = '$ced' and fecha = '$fec'";break;
				case 4:$query4 = "update diario set h4 = '$h', m4='$m' where  cedula = '$ced' and fecha = '$fec'";break;
				case 5:$query4 = "update diario set h5 = '$h', m5='$m' where  cedula = '$ced' and fecha = '$fec'";break;
				case 6:$query4 = "update diario set h6 = '$h', m6='$m' where  cedula = '$ced' and fecha = '$fec'";break;
			}
			if ($query4!="") $resul4 = mysql_query($query4) or die ($query4.' > '.mysql_error());
	
		} // fin $num==0
	} // fin de while $row1
	
////////////////////////////////////////////////////////////////////// Cargar FECHA NO CHEQUEADAS
	$query1="select concat(personal.nombres,' ',personal.nombres1,' ', personal.apellidos,' ', personal.apellidos1) as det, personal.departamento as dep,personal.codigo as cod from personal where 1=1 $query3 ";
	$resul1 = mysql_query($query1) or die ($query1.' > '.mysql_error());
	while ($row1 = mysql_fetch_array($resul1)) {
		$nom = trim($row1['det']);
		$h = 0;
		$m = 0;
		$ced = $row1['cod'];		
		$dpto = $row1['dep'];
		$fdesde1=$fdesde;
		$fhasta1=$fhasta;
		$finalizar=1;
		while ($finalizar) {
			$query2="select cedula from diario where substring(fecha,1,10) = '".$fdesde1."' and cedula='".$ced."'";
			$resul2 = mysql_query($query2) or die ($query2.' > '.mysql_error());
		    if (mysql_num_rows($resul2)==0)  {
				$resul3 = mysql_query("insert into diario (cedula,nombres,fecha,h1,m1) values ('$ced','$nom','".$fdesde1."',$h,$m)") or die ("insert into diario > ".mysql_error());
			}
			if ($fdesde1==$fhasta1) $finalizar=0;
			$a=substr($fdesde1,0,4);
			$m=substr($fdesde1,5,2);
			$d=substr($fdesde1,8,2);
			$fdesde1=mover_fecha($a,$m,$d);
		}
	}

	
	
////////////////////////////////////////////////////////////////////// REPORTE GENERAL	
	require('fpdf.php');
	class PDF extends FPDF {
	function Header()
	{
	    	$this->Image($_SESSION['logo_validar'],10,10,30,25);
		    $this->SetFont('arial','',12);
			$this->Ln(4);
		    $this->Cell(0,0,trim($_POST['nempresa']),0,1,'C'); $this->Ln(5);
			$this->SetFont('arial','',10);
		    $this->Cell(0,0,'Fecha: '.hoy(),0,1,'R'); $this->Ln(5);
		    $this->Cell(0,0,'Usuario: '.$_POST['usuario'],0,1,'R'); $this->Ln(5);
			$this->SetFont('arial','B',12); 
			$this->Cell(0,0,'Chequeo del Personal',0,1,'C');$this->Ln(5);
			$this->Cell(0,0,$_POST['subtitulo'],0,1,'C');$this->Ln(5);
			if ($_POST['departamento']!="") {
				$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
			}
		    $header=array('Item','Cedula','Nombres y Apellidos','Fecha','Chequeo','Hor/Trab','Tarde?','Observaciones');
		    $this->SetFillColor(255,0,0);
		    $this->SetTextColor(255);
		    $this->SetDrawColor(128,0,0);
		    $this->SetLineWidth(.3);
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
		    $w=array(10,15,80,20,50,20,10,55);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauración de colores y fuentes
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');
	}
//Pie de página ////////////////////////
	function Footer()
	{
		$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');
	}
}
//Cuerpo ///////////////////////////////
		$pdf=new PDF($orientacion='L',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		$consulta=mysql_query("select * from diario order by cedula, fecha" );
		$linea=0;
		$color=0;
		$bandera=0;
	    $w=array(10,15,80,30,50,75);

		while($row=mysql_fetch_array($consulta)) {
			$linea++;
			$llegotarde=0;
			$ht=0;
			$mt=0;
			$hd=0;
			$md=0;
			if ($row['h1']*60+$row['m1']>550) $llegotarde=1;

			//============================================= buscar departamento 
			$consulta3="select * from tablas where tabla=ucase('DEPARTAMENTO') and codigo='".$row['departamento']."'";
			$resultado3 = mysql_query($consulta3) or die($consulta3 . mysql_error());
			$row3 = mysql_fetch_array($resultado3);
			$dep=$row3['det'];
			mysql_free_result($resultado3);

			//============================================= buscar semana 
			$dia1=substr($row['fecha'],8,2); $mes1=substr($row['fecha'],5,2); $ano1=substr($row['fecha'],0,4);
			$semana = dia_semana ($dia1, $mes1, $ano1);
			if ($semana==1) $sem='Dom';
			if ($semana==2) $sem='Lun';
			if ($semana==3) $sem='Mar';
			if ($semana==4) $sem='Mie';
			if ($semana==5) $sem='Jue';
			if ($semana==6) $sem='Vie';
			if ($semana==7) $sem='Sab';
			
			if ($row['h3']+$row['m3']==0) {
				if ($row['h2']+$row['m2']!=0) {
					if ($row['m2']-$row['m1']>=0) {
						$ht=$row['h2']-$row['h1'];
						$mt=$row['m2']-$row['m1'];
					} else {
						$ht=$row['h2']-$row['h1']-1;
						$mt=$row['m2']-$row['m1']+60;
					}
				}		
			} else {
				if ($row['h4']+$row['m4']==0) {
					if ($row['m2']-$row['m1']>=0) {
						$ht=$row['h2']-$row['h1'];
						$mt=$row['m2']-$row['m1'];
					} else {
						$ht=$row['h2']-$row['h1']-1;
						$mt=$row['m2']-$row['m1']+60;
					}
					if ($row['m3']-$row['m2']>=0) {
						$hd=$row['h3']-$row['h2'];
						$md=$row['m3']-$row['m2'];
					} else {
						$hd=$row['h3']-$row['h2']-1;
						$md=$row['m3']-$row['m2']+60;
					}
				} else {
					if ($row['m3']-$row['m2']>=0) {
						$hd=$row['h3']-$row['h2'];
						$md=$row['m3']-$row['m2'];
					} else {
						$hd=$row['h3']-$row['h2']-1;
						$md=$row['m3']-$row['m2']+60;
					}
					if ($row['m2']-$row['m1']>=0) {
						$ht=$row['h2']-$row['h1'];
						$mt=$row['m2']-$row['m1'];
					} else {
						$ht=$row['h2']-$row['h1']-1;
						$mt=$row['m2']-$row['m1']+60;
					}
					if ($row['m4']-$row['m3']>=0) {
						$ht1=$row['h4']-$row['h3'];
						$mt1=$row['m4']-$row['m3'];
					} else {
						$ht1=$row['h4']-$row['h3']-1;
						$mt1=$row['m4']-$row['m3']+60;
					}
					if ($mt+$mt1<60) {
						$ht=$ht+$ht1;
						$mt=$mt+$mt1;
					} else {
						$ht=$ht+$ht1+1;
						$mt=60-($mt+$mt1);
					}			
				}
			}	

			$mostrar  =str_repeat("0",2-strlen( ($row['h1']>12?$row['h1']-12:$row['h1']))).($row['h1']>12?($row['h1']-12):$row['h1']).':';
			$mostrar .=str_repeat("0",2-strlen($row['m1'])).$row['m1'].($row['h1']>12?"p":"a").' - ';
			$mostrar .=str_repeat("0",2-strlen( ($row['h2']>12?$row['h2']-12:$row['h2']))).($row['h2']>12?($row['h2']-12):$row['h2']).':';
			$mostrar .=str_repeat("0",2-strlen($row['m2'])).$row['m2'].($row['h2']>12?"p":"a").' / ';
			$mostrar .=str_repeat("0",2-strlen( ($row['h3']>12?$row['h3']-12:$row['h3']))).($row['h3']>12?($row['h3']-12):$row['h3']).':';
			$mostrar .=str_repeat("0",2-strlen($row['m3'])).$row['m3'].($row['h3']>12?"p":"a").' - ';
			$mostrar .=str_repeat("0",2-strlen( ($row['h4']>12?$row['h4']-12:$row['h4']))).($row['h4']>12?($row['h4']-12):$row['h4']).':';
			$mostrar .=str_repeat("0",2-strlen($row['m4'])).$row['m4'].($row['h4']>12?"p":"a");
			
			if (trim($mostrar)=='00:04a - 00:00a / 00:00a - 00:00a' || trim($mostrar)=='00:00a - 00:00a / 00:00a - 00:00a') $mostrar='S/Chequeo';
			
			if ($bandera==0) {
				$bandera=1;
				$salto = $row['cedula'];
			}
			if ($salto != $row['cedula'] || $linea==1)  {
				$salto = $row['cedula'];				
				$pdf->Cell(260,0,'',1,1,'C',0);  
				$pdf->cell(10,5,$linea,0,0,'C',$color);
				$pdf->cell(15,5,$row['cedula'],0,0,'',$color);
				$pdf->cell(80,5,$row['nombres']." - ".$dep,0,0,'',$color);
				$pdf->cell(20,5,($sem." ".$row['fecha']),0,0,'R',$color);
				$pdf->cell(50,5,$mostrar,0,0,'C',$color);
				$pdf->cell(20,5,($ht=='00'?'':$ht.":".$mt),0,0,'C',$color);
				//$pdf->cell(10,5,$hd.":".$md,0,0,'C',$color);
				$pdf->cell(10,5,($llegotarde?"X":""),0,0,'C',$color);
				$pdf->cell(55,5,$row['mensaje'],0,1,'',$color);
				$pdf->ln(1);
				$color=!$color;
			} else {
				$linea--;
				$salto = $row['cedula'];
				$pdf->cell(125,5,($sem." ".$row['fecha']),0,0,'R',$color);
				$pdf->cell(50,5,$mostrar,0,0,'C',$color);
				$pdf->cell(20,5,($ht=='00'?'--':$ht.":".$mt),0,0,'C',$color);
				//$pdf->cell(10,5,$hd.":".$md,0,0,'C',$color);
				$pdf->cell(10,5,($llegotarde?"X":""),0,0,'C',$color);
				$pdf->cell(55,5,$row['mensaje'],0,1,'',$color);
				$pdf->ln(1);
				$color=!$color;
			}	
		}
		$pdf->Cell(260,0,'',1,1,'C'); $pdf->ln(1); 
		$pdf->Cell(260,0,'',1,1,'C'); 
		$pdf->Output();
?>